Bug 95360 - Fix use of icons used only from help, but not in the code
Summary: Fix use of icons used only from help, but not in the code
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha1
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: difficultyBeginner, easyHack, skillScript, topicCleanup, topicUI
Depends on:
Blocks:
 
Reported: 2015-10-27 12:29 UTC by Björn Michaelsen
Modified: 2017-02-14 08:57 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2015-10-27 12:29:26 UTC
See:

 https://gerrit.libreoffice.org/#/c/19613/

There are icons used in the help that are not used in the product itself, which is rather unhelpful: I dont think we want icon themes styles contain helpcontent.

In the case at hand the fix is simple:

- The help file shouldnt use the (now unused) quickstarter icons as generic "app icons" anyway. In general it is unhelpful if help files use icons to describe content other than the feature where is icon is used in the product too.
- There are icons referring to the apps available already, e.g. at:

   icon-themes/*/res/{writer,base,impress,draw..}128.png

  that should be preferred here: They are even much better quality.

So the Easy Hack here to refer to the res/writer128.png instead in Help and then removed the unused icons from the themes.
Comment 1 Robinson Tryon (qubit) 2015-12-14 06:55:21 UTC Comment hidden (obsolete)
Comment 2 Adolfo Jayme 2016-01-24 13:44:43 UTC
A patch was merged (31504c85f13861c40bdab6db0b6276f16662a166), but again without properly referring to the bug. Sigh.
Comment 3 Commit Notification 2016-01-28 07:54:15 UTC
melikeyurtoglu committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=696c9a90c42fabcdde342892073b1377e1249278

tdf#95360 Fix use of icons used only from help, but not in the code

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Robinson Tryon (qubit) 2016-02-18 14:52:08 UTC Comment hidden (obsolete)
Comment 5 Vidhey PV 2016-11-02 20:15:21 UTC
is this bug still open???
Comment 6 Vidhey PV 2016-11-02 20:15:46 UTC Comment hidden (obsolete)
Comment 7 jani 2016-11-02 21:21:48 UTC
Sorry I missed this one, seems closed to me.